# This file is part of ROBOTGAME
#
# ROBOTGAME is free software: you can redistribute it and/or modify it under the
# terms of the GNU General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any later
# version.
#
# ROBOTGAME is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
# A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# ROBOTGAME.  If not, see <http://www.gnu.org/licenses/>.
#
# ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' '
#
#                          player.py
#                     --------------------
#       date created : Tue Aug 7 2012
#          copyright : (C) 2012 Sakse Dalum
#      maintained by : Sakse Dalum <don_s@hongabar.org>

"""
A generic level.
"""

import pygame

import worldobject

class Player(worldobject.WorldObject):
    def update(self, e, t, dt):
        worldobject.WorldObject.update(self, e, t, dt)

        for event in e:
            if event.type == pygame.KEYDOWN:
                if event.key == pygame.K_UP:
                    self.move(0, -1)
                if event.key == pygame.K_DOWN:
                    self.move(0, 1)
                if event.key == pygame.K_RIGHT:
                    self.move(1, 0)
                if event.key == pygame.K_LEFT:
                    self.move(-1, 0)

    def draw(self, window):
        pygame.draw.circle(window, (255, 255, 255), (self.x + self.tile_x / 2,
                                                     self.y + self.tile_y / 2),
                           20)
